# Xapian::LogicError Class Reference

The base class for exceptions indicating errors in the program logic. More...

Inheritance diagram for Xapian::LogicError:

[legend]

List of all members.

## Detailed Description

The base class for exceptions indicating errors in the program logic.

A subclass of LogicError will be thrown if Xapian detects a violation of a class invariant or a logical precondition or postcondition, etc.

The documentation for this class was generated from the following file:

- xapian/error.h